# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Attributes | List of all members
dirac::CostType Class Reference

A structure for recording costs, particularly in quantisation.

`#include <common.h>`

## Public Attributes
double | Error
| The error (MSE or 4th power) More...
double | ENTROPY
| The entropy in bits per symbol. More...
double | TOTAL
| The Lagrangian combination of MSE+lambda*entropy. More...

## Member Data Documentation

## ◆ ENTROPY

double dirac::CostType::ENTROPY

## ◆ Error

double dirac::CostType::Error

## ◆ TOTAL

double dirac::CostType::TOTAL

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.